%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pkcs8

Name:           rust-pkcs8
Version:        0.10.2
Release:    1%{?dist}
Summary:        Pure Rust implementation of PKCS#8 (RFC 5208 and RFC 5958)

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/pkcs8
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pure Rust implementation of Public-Key Cryptography Standards (PKCS) #8:
Private-Key Information Syntax Specification (RFC 5208), with additional
support for PKCS#8v2 asymmetric key packages (RFC 5958).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+3des-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+3des-devel %{_description}

This package contains library source intended for building other packages which
use the "3des" feature of the "%{crate}" crate.

%files       -n %{name}+3des-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+des-insecure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+des-insecure-devel %{_description}

This package contains library source intended for building other packages which
use the "des-insecure" feature of the "%{crate}" crate.

%files       -n %{name}+des-insecure-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+encryption-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+encryption-devel %{_description}

This package contains library source intended for building other packages which
use the "encryption" feature of the "%{crate}" crate.

%files       -n %{name}+encryption-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getrandom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getrandom-devel %{_description}

This package contains library source intended for building other packages which
use the "getrandom" feature of the "%{crate}" crate.

%files       -n %{name}+getrandom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pem-devel %{_description}

This package contains library source intended for building other packages which
use the "pem" feature of the "%{crate}" crate.

%files       -n %{name}+pem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkcs5-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkcs5-devel %{_description}

This package contains library source intended for building other packages which
use the "pkcs5" feature of the "%{crate}" crate.

%files       -n %{name}+pkcs5-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_core" feature of the "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha1-insecure-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-insecure-devel %{_description}

This package contains library source intended for building other packages which
use the "sha1-insecure" feature of the "%{crate}" crate.

%files       -n %{name}+sha1-insecure-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+subtle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+subtle-devel %{_description}

This package contains library source intended for building other packages which
use the "subtle" feature of the "%{crate}" crate.

%files       -n %{name}+subtle-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.2-1
- initial build
